Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# MultiDebugSender< T > Class Template Reference

This template class implements a sender for debug packages. More...

`#include <Process.h>`

Inheritance diagram for MultiDebugSender< T >:

[legend]
Collaboration diagram for MultiDebugSender< T >:

[legend]
List of all members.

## Public Member Functions
| MultiDebugSender (PlatformProcess *process, const char *name, bool blocking)
| The constructor.
virtual void | send ()
| Marks the package for sending and transmits it to all receivers that already requested for it.

## Detailed Description

### template<class T>
class MultiDebugSender< T >

This template class implements a sender for debug packages.

It ensures that only a package is sent if it is not empty.

Definition at line 154 of file Process.h.

## Constructor & Destructor Documentation

template<class T>
MultiDebugSender< T >::MultiDebugSender | ( | PlatformProcess * | process,
|  | const char * | name,
|  | bool | blocking
| ) | `[inline]`

  | The constructor. Parameters:
  process | The process this sender is associated with.
  name | The Aperios connection name of the sender without the process name.
  blocking | Decides whether this sender blocks the execution of the next frame until all connected receivers have requested a new package.
Definition at line 164 of file Process.h.

## Member Function Documentation

template<class T>
virtual void MultiDebugSender< T >::send | ( | void |  | ) | `[inline, virtual]`

| Marks the package for sending and transmits it to all receivers that already requested for it. All other receiver may get it later if they request for it before the package is changed. In function will only send a package if it is not empty. Reimplemented from SenderBase< T >. Definition at line 172 of file Process.h.

The documentation for this class was generated from the following file:

- Tools/Process.h